<?php
	session_start();
	
	require_once("db/db.php");	
	require_once("common/common.php");
	
	//设置统一语言格式
	header("Content-type: text/html; charset=gb2312"); 
	
	$selvipno=$_SESSION["main_vipno"];
	$modifytype=$_REQUEST["selid"];
	$strtemp=$_REQUEST["temp"];
	$retval="0";
	
	if($modifytype=="1")
	{
		$sql = sprintf("UPDATE VIP_Item SET sub_telno='%s' WHERE sub_no='%s';",$strtemp,$selvipno);
		if(executeSql($sql)){
			$retval="1";
			$_SESSION["main_viptelno"]=$strtemp;
		}
	}
	else if($modifytype=="2")
	{
		$sql = sprintf("UPDATE VIP_Item SET tack_email='%s' WHERE sub_no='%s';",$strtemp,$selvipno);
		if(executeSql($sql)){
			$retval="1";
			$_SESSION["main_vipemail"]=$strtemp;
		}
	}
	else if($modifytype=="3")
	{
		$sql = sprintf("UPDATE VIP_Item SET sub_pswd='%s' WHERE sub_no='%s';",$strtemp,$selvipno);
		if(executeSql($sql)){
			$retval="1";
			$_SESSION["main_vippswd"]=$strtemp;
		}
	}
	else if($modifytype=="4")
	{
		$strtemp=$_SESSION["main_wxudid"];
		$sql = sprintf("UPDATE VIP_Item SET wx_no='%s' WHERE sub_no='%s';",$strtemp,$selvipno);
		if(executeSql($sql)){
			$retval="1";
			$_SESSION["main_vipwxudid"]=$strtemp;
		}
	}
	else
	{	//异常失败
		$retval="2";
	}
	
	if($retval="1")
	{	//成功
		echo "<script>window.location.href='vipmain.php';</script>";
	}
	else if($retval="2")
	{
		//无效类型
		echo "<script>window.location.href='vipmain.php';</script>";
	}
	else
	{
		//失败
		echo "<script>alert('保存数据失败！');</script>";
		echo "<script>window.location.href='vipmodify.php?selid=".$modifytype."';</script>";
	}	
	//释放数据库
	//freeResult($result);
	closeDb();
?>



